Subject: Re: IDE interface driver on the 405gp

From: Frank Rowand <[email-masked]>
Date: Wed, 14 Mar 2001 12:07:01 -0800

"Curry, Diane" wrote:
>
> Hello -
>   I'm running an IBM 405GP rev D walnut and Monta Vista's 2.4.2 port.  I
> have a
> PCI-to-PCMCIA adapter, a PCMCIA card reader/writer and an IBM
> Microdrive.  I've
> got a root filesystem on the Microdrive and a kernel image built with an
> initial ram disk.
> The kernel boots with the initrd image, my linuxrc scripts loads the
> pcmcia modules and
> switches roots to the microdrive.  This is all working fine, but I'm
> questioning what I did
> to get it working (it seemed too easy).  All of the changes, except some
> endian issues
> which I addressed in the pcmcia i82365.c module, were to ppc4xx_setup.c.
> Essentially
> all I did was initialize the ppc_ide_md structure with function names
> and provide the
> corresponding functions (using m8xx_setup.c as a reference).  If anyone
> could tell me
> whether this seems reasonable, I'd really appreciate it.  Thanks  in
> advance.
>
> Diane Curry
> [email-masked]

Sounds reasonable.

Which PCI-to-PCMCIA adapter are you using?  (Can you cat /proc/pci or
do a lspci -v?)

I meant to include this stuff in the latest kernel, but forget to.  It
will be in the next version.

-Frank
--
Frank Rowand <[email-masked]>
MontaVista Software, Inc

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/